keypressed(3)

NAME
keypressed - Tells if there are keypresses waiting in the input buffer. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int keypressed();

DESCRIPTION
Returns TRUE if there are keypresses waiting in the input buffer. You can use this to see if the next call to readkey() is going to block or to simply wait for the user to press a key while you still update the screen possibly drawing some animation. Example:
   while (!keypressed()) {
      /* Show cool animated logo. */
   }
   /* So he skipped our title screen. */

SEE ALSO
install_keyboard(3), readkey(3), ureadkey(3), clear_keybuf(3), simulate_keypress(3), simulate_ukeypress(3)